> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Haal Monitor Run op

> Geeft snapshot metadata en geparseerde agent loggebeurtenissen terug voor een enkele monitor run.



## OpenAPI

````yaml nl/openapi/monitors.json GET /v1/monitors/{monitor_id}/runs/{run_id}
openapi: 3.0.3
info:
  title: Monitors API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/monitors/{monitor_id}/runs/{run_id}:
    get:
      summary: Haal Monitor Run op
      description: >-
        Geeft snapshot metadata en geparseerde agent log events terug voor een
        enkele run.
      parameters:
        - name: monitor_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^monitor_
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^run_
      responses:
        '200':
          description: Run detail.
          content:
            application/json:
              schema:
                type: object
                properties:
                  monitor_id:
                    type: string
                  run_id:
                    type: string
                  snapshot:
                    type: object
                    additionalProperties: true
                    nullable: true
                  log_group:
                    type: string
                    nullable: true
                  events:
                    type: array
                    items:
                      $ref: '#/components/schemas/AgentLogEvent'
        '400':
          description: Ongeldige monitor_id of run_id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Ongeldige API-sleutel.
        '404':
          description: Monitor niet gevonden.
        '500':
          description: Interne serverfout.
      security:
        - Authorization: []
components:
  schemas:
    AgentLogEvent:
      type: object
      properties:
        id:
          type: string
        ts:
          type: integer
          description: CloudWatch gebeurtenistijdstempel (ms).
        ingestion_ts:
          type: integer
        stream:
          type: string
        message:
          type: string
        event:
          type: object
          additionalProperties: true
          description: >-
            Geparste logregel (bijvoorbeeld `work_received`, `node_start`,
            `run_complete`).
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        monitor_id:
          type: string
          description: Aanwezig bij sommige create/update foutreacties.
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authenticatie header in de vorm Bearer <token>, waar <token> jouw
        auth token is.

````